Bug 168487 - Udev and latest vanilla SMP kernels
Udev and latest vanilla SMP kernels
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-16 12:55 EDT by George Billios
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 06:24:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Billios 2005-09-16 12:55:02 EDT
Description of problem:
With vanilla kernels 2.6.13, 2.6.13.1 and 2.6.14-rc1, booting stops at 'Starting
udev'.

Version-Release number of selected component (if applicable):
udev-058-1
mkinitrd-4.2.15-1
initscripts-8.11.1-1

How reproducible:

Always


Steps to Reproduce:
1. Compile a  > 2.6.13 kernel
2. Boot it
3.
  
Actual results:
Booting stalls at 'Starting udev' and booting is very very slow up to that point

Expected results:
Boot normal


Additional info:
I'm running vanilla kernel 2.6.12.1 but haven't tested any other 2.6.12.x kernel
but this probably happens with the latest 2.6.12.x kernels.
My computer is an Acer laptop, 3.06GHz HT processor, running SMP kernel. 
Also note that my boot options for 2.6.12.1 kernel include acpi=noapic but if I
run the >2.6.13 kernel with that option, my system hangs just after grub. I have
tried all processor config options in the kernel configuration but had no result.
Probably some customization made by fedora in udev causes the problem since it
hangs at that point.
Comment 1 George Billios 2005-10-01 03:45:44 EDT
This bug also exists with newer fc4 kernel kernel-smp-2.6.13-1.1526_FC4 but I
have found that this happens only with smp kernel and not unp kernels. I have
also opened this bug http://bugzilla.kernel.org/show_bug.cgi?id=5331 in
kernel.org bugzilla. 
Could any admin change the title to something better, like ACPI and SMP kernels? 
Thanks
Comment 2 Harald Hoyer 2006-02-15 06:34:08 EST
Does the latest udev update fix your issues?
Comment 3 Harald Hoyer 2006-04-28 05:48:57 EDT
ping
Comment 4 George Billios 2006-04-28 06:34:49 EDT
I probably haven't read the previous comment, sorry for that. Unfortunatelly
since January I am using FC5 (devel back then) so I can't test it now.
Comment 5 Christian Iseli 2007-01-19 19:30:42 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.